{%- set neutron_test_network = 'OctaviaStateTestNetwork' %}
{%- set neutron_test_subnet = 'OctaviaStateTestSubnet' %}

neutronv2_network_present:
  neutronv2.network_present:
  - cloud_name: admin_identity
  - name: {{ neutron_test_network }}

neutronv2_subnet_present:
  neutronv2.subnet_present:
  - name: {{ neutron_test_subnet }}
  - cloud_name: admin_identity
  - network_id: {{ neutron_test_network }}
  - ip_version: 4
  - cidr: 192.168.100.0/24

{%- set subnet_id = salt['neutronv2.subnet_list'](cloud_name='admin_identity',name=neutron_test_subnet)['subnets'][0].id %}

octavia_loadbalancer:
  octaviav2.loadbalancer_present:
    - cloud_name: admin_identity
    - name: lb1
    - vip_subnet_id: {{ subnet_id }}
